# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Name:		perl-Test-MinimumVersion
Version:	0.101080
Release:	3.%{__distinit}%{__distvers}
Summary:	Check whether your code requires a newer perl
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Test-MinimumVersion/
Source0:	http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Test-MinimumVersion-%{version}.tar.gz
Patch0:		Test-MinimumVersion-0.101050-Makefile.PL.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:	noarch
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Find::Rule)
BuildRequires:	perl(File::Find::Rule::Perl)
BuildRequires:	perl(Perl::MinimumVersion) >= 1.20
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
BuildRequires:	perl(Test::Tester)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(version) >= 0.70
BuildRequires:	perl(YAML::Tiny) >= 1.40
# Dependency not auto-detected
Requires:	perl(Exporter)

%description
Check whether your code requires a newer perl than you think.

%prep
%setup -q -n Test-MinimumVersion-%{version}
/usr/bin/find -type f -exec %{__chmod} -x {} \;

# Makefile.PL unnecessarily requires ExtUtils::MakeMaker 6.31
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{__chmod} -R u+w %{buildroot}

%clean
%{__rm} -rf %{buildroot}

%check
%{__make} test RELEASE_TESTING=1

%files
%defattr(-,root,root,-)
%doc Changes LICENSE
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::MinimumVersion.3pm*

%changelog
* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> - 0.101080-3
- Rebuild for perl 5.12.1 in Rawhide

* Wed May 12 2010 Paul Howarth <paul@city-fan.org> - 0.101080-2
- Fix dist tag for RHEL-6 Beta

* Mon Apr 19 2010 Paul Howarth <paul@city-fan.org> - 0.101080-1
- Update to 0.101080 (more "comparison to undef" bugs fixed)

* Fri Apr 16 2010 Paul Howarth <paul@city-fan.org> - 0.101050-1
- Update to 0.101050
  - convert to dzil, fix a prereq num/str conversion stupidity
  - fix bug when comparing versions to undef
- Enable RELEASE_TESTING
- Makefile.PL unnecessarily requires ExtUtils::MakeMaker 6.31 - patch that out
- Update buildreqs from META.yml

* Sun Jan 17 2010 Paul Howarth <paul@city-fan.org> - 0.013-1
- Update to 0.013
  - don't inline YAML::Tiny, require it instead
  - add a very, very, very basic test
- BuildReq perl(Test::Tester) and perl(YAML::Tiny) >= 1.40
- Dist tag for Rawhide no longer needs special-casing

* Tue Jun 30 2009 Paul Howarth <paul@city-fan.org> - 0.011-1
- Update to 0.011 (update code to behave better with subtests)

* Mon Jun  1 2009 Paul Howarth <paul@city-fan.org> - 0.010-1
- Update to 0.010 (attempt not to croak on empty files)

* Mon Apr 20 2009 Paul Howarth <paul@city-fan.org> - 0.009-1
- Update to 0.009 (display version_markers when syntax requirements too high)
- Update to SLES-compatible dist tag macros

* Mon Sep  1 2008 Paul Howarth <paul@city-fan.org> - 0.008-2
- Import from Fedora

* Mon May 26 2008 Ralf Corsépius <rc040203@freenet.de> - 0.008-1
- Upstream update.

* Thu Feb 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.007-4
- Rebuild normally, second pass

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.007-3
- Rebuild for perl 5.10 (again), first pass

* Mon Jan 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.007-2
- rebuild normally, second pass

* Fri Jan 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.007-1.1
- rebuild for new perl, first pass, tests and TPC disabled

* Mon Nov 19 2007 Ralf Corsépius <rc040203@freenet.de> - 0.007-1
- Initial version.
